# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name unix-compat

Name:           ghc-%{pkg_name}
Version:        0.4.1.4
Release:        2%{?dist}
Summary:        Portable POSIX-compatibility layer

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
This package provides portable implementations of parts of the unix package.
This package re-exports the unix package when available. When it isn't
available, portable implementations are used.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 23 2015 Jens Petersen <petersen@redhat.com> - 0.4.1.4-1
- update to 0.4.1.4

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Jens Petersen <petersen@redhat.com> - 0.4.1.1-1
- update to 0.4.1.1

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 0.4.1.0-1
- update to 0.4.1.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.4.0.0-2
- update with cabal-rpm
- set old-time flag

* Sun Oct 21 2012 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.4.0.0-1
- Upgrade to version 0.4.0.0 

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.3.0.1-3
- change prof BRs to devel

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 0.3.0.1-2
- update to cabal2spec-0.25

* Thu Jan 19 2012 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.3.0.1-1
- Upgrade to version 0.3.0.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 11 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3-1
- Package update to 0.3

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.1.3-2.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.1.3-2.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.2.1.3-2.1
- rebuild with new gmp

* Mon Sep 26 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.1.3-2
- Rebuild

* Sat Sep 10 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.1.3-1
- License is BSD. Added dependencies.

* Sat Sep 10 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.1.3-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
